<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":2,"i1":4,"i2":32,"i3":4,"i4":2,"i5":2,"i6":2,"i7":2,"i8":4,"i9":2,"i10":2,"i11":2,"i12":2,"i13":2,"i14":2,"i15":2,"i16":2,"i17":32,"i18":2,"i19":2,"i20":4,"i21":1,"i22":1,"i23":8,"i24":1,"i25":1,"i26":1,"i27":1,"i28":1,"i29":8,"i30":8,"i31":2,"i32":1,"i33":1,"i34":2,"i35":4,"i36":4,"i37":2,"i38":4,"i39":2,"i40":2,"i41":2,"i42":2,"i43":2,"i44":2,"i45":2,"i46":4,"i47":8,"i48":4,"i49":2,"i50":8,"i51":8,"i52":32,"i53":32,"i54":32,"i55":2,"i56":2,"i57":2,"i58":2,"i59":2,"i60":2,"i61":2,"i62":2,"i63":4,"i64":2,"i65":2,"i66":2,"i67":2,"i68":4,"i69":2,"i70":4,"i71":2,"i72":4,"i73":2,"i74":2,"i75":2,"i76":4,"i77":2,"i78":2,"i79":2,"i80":2,"i81":2,"i82":2,"i83":2,"i84":2,"i85":2,"i86":2,"i87":2,"i88":2,"i89":2,"i90":2,"i91":2,"i92":2,"i93":4,"i94":4,"i95":4,"i96":4,"i97":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"],4:["t3","Enum Summary"],8:["t4","Exception Summary"],32:["t6","Annotation Types Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span id="t0" class="activeTableTab"><span>All Classes</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Interface Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Class Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Enum Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Exception Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Annotation Types Summary</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/Agent.html" title="class in nl.naturalis.nba.api.model">Agent</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/annotations/Analyzer.html" title="enum in nl.naturalis.nba.api.annotations">Analyzer</a></td>
<th class="colLast" scope="row">
<div class="block">Symbolic constants for the Elasticsearch analyzers defined within NBA's
 document store.</div>
</th>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/annotations/Analyzers.html" title="annotation in nl.naturalis.nba.api.annotations">Analyzers</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/AreaClass.html" title="enum in nl.naturalis.nba.api.model">AreaClass</a></td>
<th class="colLast" scope="row">
<div class="block">Enum representing an area classification.</div>
</th>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/AssociatedTaxon.html" title="class in nl.naturalis.nba.api.model">AssociatedTaxon</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/BatchQueryResult.html" title="class in nl.naturalis.nba.api">BatchQueryResult</a>&lt;<a href="nl/naturalis/nba/api/BatchQueryResult.html" title="type parameter in BatchQueryResult">T</a>&gt;</td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/BioStratigraphy.html" title="class in nl.naturalis.nba.api.model">BioStratigraphy</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/ChronoStratigraphy.html" title="class in nl.naturalis.nba.api.model">ChronoStratigraphy</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a></td>
<th class="colLast" scope="row">
<div class="block">Symbolic constants for the operators that can be used in a
 <a href="nl/naturalis/nba/api/QueryCondition.html" title="class in nl.naturalis.nba.api"><code>query condition</code></a>.</div>
</th>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/DefaultClassification.html" title="class in nl.naturalis.nba.api.model">DefaultClassification</a></td>
<th class="colLast" scope="row">
<div class="block">A <code>DefaultClassification</code> classifies a specimen or species according to
 the ranks explicitly listed in the Darwin Core specification plus two extra
 higher ranks commonly used within the Naturalis specimen registration
 systems: super family and tribe.</div>
</th>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/Expert.html" title="class in nl.naturalis.nba.api.model">Expert</a></td>
<th class="colLast" scope="row">
<div class="block">An <code>Expert</code> represents a person or organization who is regarded as an authority with respect to a particular species.</div>
</th>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/metadata/FieldInfo.html" title="class in nl.naturalis.nba.api.model.metadata">FieldInfo</a></td>
<th class="colLast" scope="row">
<div class="block">Encapsulates metadata about a field within a document.</div>
</th>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/Filter.html" title="class in nl.naturalis.nba.api">Filter</a></td>
<th class="colLast" scope="row">
<div class="block">A generic filter definition.</div>
</th>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/GatheringEvent.html" title="class in nl.naturalis.nba.api.model">GatheringEvent</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/GatheringSiteCoordinates.html" title="class in nl.naturalis.nba.api.model">GatheringSiteCoordinates</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/GeoArea.html" title="class in nl.naturalis.nba.api.model">GeoArea</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/GeoPoint.html" title="class in nl.naturalis.nba.api.model">GeoPoint</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/annotations/GeoShape.html" title="annotation in nl.naturalis.nba.api.annotations">GeoShape</a></td>
<th class="colLast" scope="row">
<div class="block">Provides information about the storage of geo shape data.</div>
</th>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/GroupByScientificNameQueryResult.html" title="class in nl.naturalis.nba.api">GroupByScientificNameQueryResult</a></td>
<th class="colLast" scope="row">
<div class="block">A extension of <a href="nl/naturalis/nba/api/QueryResult.html" title="class in nl.naturalis.nba.api"><code>QueryResult</code></a> capturing the result of a call to
 <a href="nl/naturalis/nba/api/ISpecimenAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ISpecimenAccess.groupByScientificName</code></a> or
 <a href="nl/naturalis/nba/api/ITaxonAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ITaxonAccess.groupByScientificName</code></a>.</div>
</th>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/GroupByScientificNameQuerySpec.html" title="class in nl.naturalis.nba.api">GroupByScientificNameQuerySpec</a></td>
<th class="colLast" scope="row">
<div class="block">An extension of the <a href="nl/naturalis/nba/api/QuerySpec.html" title="class in nl.naturalis.nba.api"><code>QuerySpec</code></a> class specifically meant for
 <a href="nl/naturalis/nba/api/ITaxonAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ITaxonAccess.groupByScientificName</code></a> and
 <a href="nl/naturalis/nba/api/ISpecimenAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ISpecimenAccess.groupByScientificName</code></a>.</div>
</th>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/GroupByScientificNameQuerySpec.GroupSort.html" title="enum in nl.naturalis.nba.api">GroupByScientificNameQuerySpec.GroupSort</a></td>
<th class="colLast" scope="row">
<div class="block">Enumerates options for sorting the <a href="nl/naturalis/nba/api/model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a> objects
 returned from the <code>groupByScientificName</code> APIs.</div>
</th>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a></td>
<th class="colLast" scope="row">
<div class="block">Interface indicating that each instance of a class implementing this
 interface corresponds to a single document in the Elasticsearch document
 store underlying the NBA.</div>
</th>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/IGeoAreaAccess.html" title="interface in nl.naturalis.nba.api">IGeoAreaAccess</a></td>
<th class="colLast" scope="row">
<div class="block">Specifies methods for accessing geographical areas and their coordinates.</div>
</th>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/IllegalOperatorException.html" title="class in nl.naturalis.nba.api">IllegalOperatorException</a></td>
<th class="colLast" scope="row">
<div class="block">Thrown when a <a href="nl/naturalis/nba/api/ComparisonOperator.html" title="enum in nl.naturalis.nba.api"><code>query operator</code></a> is used for a field
 that does not does not support that operator (e&#46;g&#46; when you use
 <a href="nl/naturalis/nba/api/ComparisonOperator.html#NOT_CONTAINS"><code>NOT_LIKE</code></a> on a number field).</div>
</th>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/IMultiMediaObjectAccess.html" title="interface in nl.naturalis.nba.api">IMultiMediaObjectAccess</a></td>
<th class="colLast" scope="row">
<div class="block">Specifies methods for accessing multimedia-related data.</div>
</th>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/INbaAccess.html" title="interface in nl.naturalis.nba.api">INbaAccess</a>&lt;<a href="nl/naturalis/nba/api/INbaAccess.html" title="type parameter in INbaAccess">DOCUMENT_OBJECT</a> extends <a href="nl/naturalis/nba/api/model/IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">Specifies a set of common data access methods that can be called against any
 type of document within the NBA document store.</div>
</th>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/INbaDocumentMetaData.html" title="interface in nl.naturalis.nba.api">INbaDocumentMetaData</a>&lt;<a href="nl/naturalis/nba/api/INbaDocumentMetaData.html" title="type parameter in INbaDocumentMetaData">DOCUMENT_OBJECT</a> extends <a href="nl/naturalis/nba/api/model/IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">Specifies methods for retrieving metadata about an Elasticsearch document
 type and the index containing it.</div>
</th>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/INbaMetaData.html" title="interface in nl.naturalis.nba.api">INbaMetaData</a></td>
<th class="colLast" scope="row">
<div class="block">Specifies methods for retrieving general metadata about the NBA.</div>
</th>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a></td>
<th class="colLast" scope="row">
<div class="block">Marker interface for all classes representing the NBA data model.</div>
</th>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/InvalidConditionException.html" title="class in nl.naturalis.nba.api">InvalidConditionException</a></td>
<th class="colLast" scope="row">
<div class="block">Throw when a <a href="nl/naturalis/nba/api/QueryCondition.html" title="class in nl.naturalis.nba.api"><code>query condition</code></a> contains an error.</div>
</th>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/InvalidQueryException.html" title="class in nl.naturalis.nba.api">InvalidQueryException</a></td>
<th class="colLast" scope="row">
<div class="block">Thrown when <a href="nl/naturalis/nba/api/QuerySpec.html" title="class in nl.naturalis.nba.api"><code>query specification</code></a> contains an error.</div>
</th>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/Iptc4xmpExt.html" title="class in nl.naturalis.nba.api.model">Iptc4xmpExt</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/ISpecimenAccess.html" title="interface in nl.naturalis.nba.api">ISpecimenAccess</a></td>
<th class="colLast" scope="row">
<div class="block">Specifies methods for accessing specimen-related data.</div>
</th>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/ITaxonAccess.html" title="interface in nl.naturalis.nba.api">ITaxonAccess</a></td>
<th class="colLast" scope="row">
<div class="block">Specifies methods for accessing taxon and species related data.</div>
</th>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/KeyValuePair.html" title="class in nl.naturalis.nba.api">KeyValuePair</a>&lt;<a href="nl/naturalis/nba/api/KeyValuePair.html" title="type parameter in KeyValuePair">T</a>,&#8203;<a href="nl/naturalis/nba/api/KeyValuePair.html" title="type parameter in KeyValuePair">U</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">A generic tuple class.</div>
</th>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/License.html" title="enum in nl.naturalis.nba.api.model">License</a></td>
<th class="colLast" scope="row">
<div class="block">Enum representing the Creative Commons Licenses.</div>
</th>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/LicenseType.html" title="enum in nl.naturalis.nba.api.model">LicenseType</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/LithoStratigraphy.html" title="class in nl.naturalis.nba.api.model">LithoStratigraphy</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/LogicalOperator.html" title="enum in nl.naturalis.nba.api">LogicalOperator</a></td>
<th class="colLast" scope="row">
<div class="block">Symbolic constants for the two logical operators (AND and OR).</div>
</th>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/Monomial.html" title="class in nl.naturalis.nba.api.model">Monomial</a></td>
<th class="colLast" scope="row">
<div class="block">A <code>Monomial</code> represents a node in a taxon hierarchy.</div>
</th>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/MultiMediaContentIdentification.html" title="class in nl.naturalis.nba.api.model">MultiMediaContentIdentification</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/MultiMediaGatheringEvent.html" title="class in nl.naturalis.nba.api.model">MultiMediaGatheringEvent</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a></td>
<th class="colLast" scope="row">
<div class="block">Class modeling a MultiMediaObject</div>
</th>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/NamedArea.html" title="class in nl.naturalis.nba.api.model">NamedArea</a></td>
<th class="colLast" scope="row">
<div class="block">Class representing an atomised place name.</div>
</th>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/NameResolutionQuerySpec.html" title="class in nl.naturalis.nba.api">NameResolutionQuerySpec</a></td>
<th class="colLast" scope="row">
<div class="block">Extension of <a href="nl/naturalis/nba/api/QuerySpec.html" title="class in nl.naturalis.nba.api"><code>QuerySpec</code></a> used for the <a href="nl/naturalis/nba/api/ISpecimenAccess.html#queryWithNameResolution(nl.naturalis.nba.api.NameResolutionQuerySpec)"><code>queryWithNameResolution</code></a> service.</div>
</th>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/NameResolutionRequest.html" title="class in nl.naturalis.nba.api">NameResolutionRequest</a></td>
<th class="colLast" scope="row">
<div class="block">Defines a request to resolve a search phrase to a list of scientific names by
 means of a query on the taxon index..</div>
</th>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/NameResolutionRequest.NameType.html" title="enum in nl.naturalis.nba.api">NameResolutionRequest.NameType</a></td>
<th class="colLast" scope="row">
<div class="block">Specifies the different types of names that can be used for the name lookup.</div>
</th>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/NbaException.html" title="class in nl.naturalis.nba.api">NbaException</a></td>
<th class="colLast" scope="row">
<div class="block">Base class for all checked exceptions within the NBA.</div>
</th>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/metadata/NbaSetting.html" title="enum in nl.naturalis.nba.api.model.metadata">NbaSetting</a></td>
<th class="colLast" scope="row">
<div class="block">Enumerates all publicly available configuration settings for the NBA.</div>
</th>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/NbaTraceableObject.html" title="class in nl.naturalis.nba.api.model">NbaTraceableObject</a></td>
<th class="colLast" scope="row">
<div class="block">Abstract base class for all domain model classes that can be traced back to a
 single, identifiable record in one of the NBA's source systems.</div>
</th>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/NoSuchDataSetException.html" title="class in nl.naturalis.nba.api">NoSuchDataSetException</a></td>
<th class="colLast" scope="row">
<div class="block">Thrown by methods that produce predefined, named data sets (like
 <a href="nl/naturalis/nba/api/ITaxonAccess.html#dwcaGetDataSet(java.lang.String,java.io.OutputStream)"><code>dwcaGetDataSet</code></a>) when there is no data set with the specified name.</div>
</th>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/NoSuchFieldException.html" title="class in nl.naturalis.nba.api">NoSuchFieldException</a></td>
<th class="colLast" scope="row">
<div class="block">Thrown if a user-specified path does not exist or if it is a non-queryable
 path (only leaf nodes in the document type tree are queryable).</div>
</th>
</tr>
<tr id="i52" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/annotations/NotIndexed.html" title="annotation in nl.naturalis.nba.api.annotations">NotIndexed</a></td>
<th class="colLast" scope="row">
<div class="block">Indicates that the field decorated with this annotation is not indexed (i&#46;e&#46; it
 is not searchable).</div>
</th>
</tr>
<tr id="i53" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/annotations/NotNested.html" title="annotation in nl.naturalis.nba.api.annotations">NotNested</a></td>
<th class="colLast" scope="row">
<div class="block">Indicates that the field decorated with this annotation is not mapped as a
 nested object, i&#46;e&#46; it Elasticsearch datatype will be "object" rather
 than "nested".</div>
</th>
</tr>
<tr id="i54" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/annotations/NotStored.html" title="annotation in nl.naturalis.nba.api.annotations">NotStored</a></td>
<th class="colLast" scope="row">
<div class="block">Indicates that the field decorated with this annotation is not part of the
 Elasticsearch document type mapping.</div>
</th>
</tr>
<tr id="i55" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/Organization.html" title="class in nl.naturalis.nba.api.model">Organization</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i56" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/Path.html" title="class in nl.naturalis.nba.api">Path</a></td>
<th class="colLast" scope="row">
<div class="block">Immutable class representing a path within an Elasticsearch document.</div>
</th>
</tr>
<tr id="i57" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/Person.html" title="class in nl.naturalis.nba.api.model">Person</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i58" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></td>
<th class="colLast" scope="row">
<div class="block">
 Class modeling a query condition.</div>
</th>
</tr>
<tr id="i59" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/QueryResult.html" title="class in nl.naturalis.nba.api">QueryResult</a>&lt;<a href="nl/naturalis/nba/api/QueryResult.html" title="type parameter in QueryResult">T</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">A <code>QueryResult</code> represents the result from a <a href="nl/naturalis/nba/api/QuerySpec.html" title="class in nl.naturalis.nba.api"><code>search
 request</code></a>.</div>
</th>
</tr>
<tr id="i60" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/QueryResultItem.html" title="class in nl.naturalis.nba.api">QueryResultItem</a>&lt;<a href="nl/naturalis/nba/api/QueryResultItem.html" title="type parameter in QueryResultItem">T</a>&gt;</td>
<th class="colLast" scope="row">
<div class="block">A <code>QueryResultItem</code> contains a document (or other type of object)
 returned from a <a href="nl/naturalis/nba/api/QuerySpec.html" title="class in nl.naturalis.nba.api"><code>query</code></a>.</div>
</th>
</tr>
<tr id="i61" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/QuerySpec.html" title="class in nl.naturalis.nba.api">QuerySpec</a></td>
<th class="colLast" scope="row">
<div class="block">
 A <code>QuerySpec</code> object enables you to specify a query for the NBA.</div>
</th>
</tr>
<tr id="i62" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/Reference.html" title="class in nl.naturalis.nba.api.model">Reference</a></td>
<th class="colLast" scope="row">
<div class="block">A <code>Reference</code> represents a literature reference or common name.</div>
</th>
</tr>
<tr id="i63" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/ResourceType.html" title="enum in nl.naturalis.nba.api.model">ResourceType</a></td>
<th class="colLast" scope="row">
<div class="block">Enum representing the nature or genre of a resource.</div>
</th>
</tr>
<tr id="i64" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/metadata/RestService.html" title="class in nl.naturalis.nba.api.model.metadata">RestService</a></td>
<th class="colLast" scope="row">
<div class="block">A standard Java bean encapsulating info about one of the NBA's REST services.</div>
</th>
</tr>
<tr id="i65" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/ScientificName.html" title="class in nl.naturalis.nba.api.model">ScientificName</a></td>
<th class="colLast" scope="row">
<div class="block">Encapsulates a taxon's full scientific name and the components it is composed of.</div>
</th>
</tr>
<tr id="i66" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model">ScientificNameGroup</a></td>
<th class="colLast" scope="row">
<div class="block">The ScientificNameGroup class is used to capture the output from
 <a href="nl/naturalis/nba/api/ITaxonAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ITaxonAccess.groupByScientificName</code></a> and
 <a href="nl/naturalis/nba/api/ISpecimenAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ISpecimenAccess.groupByScientificName</code></a>.</div>
</th>
</tr>
<tr id="i67" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/ServiceAccessPoint.html" title="class in nl.naturalis.nba.api.model">ServiceAccessPoint</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i68" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/Sex.html" title="enum in nl.naturalis.nba.api.model">Sex</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i69" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/SortField.html" title="class in nl.naturalis.nba.api">SortField</a></td>
<th class="colLast" scope="row">
<div class="block">Represents a field that you want a set of documents to be sorted on.</div>
</th>
</tr>
<tr id="i70" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/SortOrder.html" title="enum in nl.naturalis.nba.api">SortOrder</a></td>
<th class="colLast" scope="row">
<div class="block">Symbolic constants for ascending and descending sort orders.</div>
</th>
</tr>
<tr id="i71" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i72" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/SpatialDatum.html" title="enum in nl.naturalis.nba.api.model">SpatialDatum</a></td>
<th class="colLast" scope="row">
<div class="block">Enum representing the reference system upon which the geographic coordinates
 given in latitudeDecimal and longituDedecimal as based.</div>
</th>
</tr>
<tr id="i73" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/Specimen.html" title="class in nl.naturalis.nba.api.model">Specimen</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i74" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/SpecimenIdentification.html" title="class in nl.naturalis.nba.api.model">SpecimenIdentification</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i75" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/SpecimenMultiMediaObject.html" title="class in nl.naturalis.nba.api.model">SpecimenMultiMediaObject</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i76" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/SpecimenTypeStatus.html" title="enum in nl.naturalis.nba.api.model">SpecimenTypeStatus</a></td>
<th class="colLast" scope="row">
<div class="block">A type status assigned to a specimen if it is not known whether it's a
 holotype, paratype, lectotype, etc., but it is known to be one of those.</div>
</th>
</tr>
<tr id="i77" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/summary/SummaryGatheringEvent.html" title="class in nl.naturalis.nba.api.model.summary">SummaryGatheringEvent</a></td>
<th class="colLast" scope="row">
<div class="block">A miniature version of <a href="nl/naturalis/nba/api/model/GatheringEvent.html" title="class in nl.naturalis.nba.api.model"><code>GatheringEvent</code></a>.</div>
</th>
</tr>
<tr id="i78" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/summary/SummaryGatheringSiteCoordinates.html" title="class in nl.naturalis.nba.api.model.summary">SummaryGatheringSiteCoordinates</a></td>
<th class="colLast" scope="row">
<div class="block">A miniature version of <a href="nl/naturalis/nba/api/model/GatheringSiteCoordinates.html" title="class in nl.naturalis.nba.api.model"><code>GatheringSiteCoordinates</code></a>.</div>
</th>
</tr>
<tr id="i79" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/summary/SummaryOrganization.html" title="class in nl.naturalis.nba.api.model.summary">SummaryOrganization</a></td>
<th class="colLast" scope="row">
<div class="block">A miniature version of <a href="nl/naturalis/nba/api/model/Organization.html" title="class in nl.naturalis.nba.api.model"><code>Organization</code></a>.</div>
</th>
</tr>
<tr id="i80" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/summary/SummaryPerson.html" title="class in nl.naturalis.nba.api.model.summary">SummaryPerson</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i81" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/summary/SummaryScientificName.html" title="class in nl.naturalis.nba.api.model.summary">SummaryScientificName</a></td>
<th class="colLast" scope="row">
<div class="block">Encapsulates a taxon's full scientific name and the components it is composed
 of.</div>
</th>
</tr>
<tr id="i82" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/summary/SummarySourceSystem.html" title="class in nl.naturalis.nba.api.model.summary">SummarySourceSystem</a></td>
<th class="colLast" scope="row">
<div class="block">A miniature version of <a href="nl/naturalis/nba/api/model/SourceSystem.html" title="class in nl.naturalis.nba.api.model"><code>SourceSystem</code></a>.</div>
</th>
</tr>
<tr id="i83" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/summary/SummarySpecimen.html" title="class in nl.naturalis.nba.api.model.summary">SummarySpecimen</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i84" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/summary/SummarySpecimenIdentification.html" title="class in nl.naturalis.nba.api.model.summary">SummarySpecimenIdentification</a></td>
<th class="colLast" scope="row">
<div class="block">A miniature version of <a href="nl/naturalis/nba/api/model/SpecimenIdentification.html" title="class in nl.naturalis.nba.api.model"><code>SpecimenIdentification</code></a>.</div>
</th>
</tr>
<tr id="i85" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/summary/SummaryTaxon.html" title="class in nl.naturalis.nba.api.model.summary">SummaryTaxon</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i86" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/summary/SummaryVernacularName.html" title="class in nl.naturalis.nba.api.model.summary">SummaryVernacularName</a></td>
<th class="colLast" scope="row">
<div class="block">A miniature version of <a href="nl/naturalis/nba/api/model/VernacularName.html" title="class in nl.naturalis.nba.api.model"><code>VernacularName</code></a>.</div>
</th>
</tr>
<tr id="i87" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/Synonym.html" title="class in nl.naturalis.nba.api.model">Synonym</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i88" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/Taxon.html" title="class in nl.naturalis.nba.api.model">Taxon</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i89" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/TaxonDescription.html" title="class in nl.naturalis.nba.api.model">TaxonDescription</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i90" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/TaxonMultiMediaObject.html" title="class in nl.naturalis.nba.api.model">TaxonMultiMediaObject</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i91" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/TaxonomicEnrichment.html" title="class in nl.naturalis.nba.api.model">TaxonomicEnrichment</a></td>
<th class="colLast" scope="row">
<div class="block">The <code>TaxonomicEnrichment</code> object enriches <a href="nl/naturalis/nba/api/model/Specimen.html" title="class in nl.naturalis.nba.api.model"><code>Specimen</code></a> documents
 with data extracted from the <a href="nl/naturalis/nba/api/model/Taxon.html" title="class in nl.naturalis.nba.api.model"><code>Taxon</code></a> index.</div>
</th>
</tr>
<tr id="i92" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/TaxonomicIdentification.html" title="class in nl.naturalis.nba.api.model">TaxonomicIdentification</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i93" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/TaxonomicRank.html" title="enum in nl.naturalis.nba.api.model">TaxonomicRank</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i94" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/TaxonomicStatus.html" title="enum in nl.naturalis.nba.api.model">TaxonomicStatus</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i95" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/TaxonRelationType.html" title="enum in nl.naturalis.nba.api.model">TaxonRelationType</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i96" class="altColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/UnaryBooleanOperator.html" title="enum in nl.naturalis.nba.api">UnaryBooleanOperator</a></td>
<th class="colLast" scope="row">
<div class="block">Defines a single constant representing the unary boolean operator NOT.</div>
</th>
</tr>
<tr id="i97" class="rowColor">
<td class="colFirst"><a href="nl/naturalis/nba/api/model/VernacularName.html" title="class in nl.naturalis.nba.api.model">VernacularName</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
